#!/bin/bash

pushd /home/dockeruser/saas_server_setup
docker compose -p xenia-server exec -T db pg_dumpall -c | gzip > /home/dockeruser/pg_backups/dump-`date +\%Y\%m\%d\%H\%M\%S`-`cat domain`-backup.gz
popd

if [ "$1" == "--clean-up" ]; then
    
    find /home/dockeruser/pg_backups -type f -mtime +8 -delete
    
fi
