#!/bin/bash
set -e

docker volume create xenia-postgres_database
docker volume create xenia-redis_database
curl -f https://xenia-builds.clamxav.com/$(cat stream)/$(uname -m)/version.txt --output version.txt
TAG="$(cat version.txt)" docker compose build --build-arg CACHE_DATE=$(date +%Y-%m-%d:%H:%M:%S) --build-arg HOST_UID=$(id -u) --build-arg HOST_GID=$(id -g)
